/***************************************************************************
                          apointwidget.cpp  -  description
                             -------------------
    begin                : Don Nov 14 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "apointwidget.h"

APointWidget::APointWidget(WCard *pCard, QWidget *parent, const char *name ) : QWidget(parent,name)
{
  card = pCard;

  notString = new QString("<" + i18n ("not a wlan-device") + ">");  

  macLabel1 = new QLabel(this);
  macLabel1->setText(i18n ("Mac-Address") + ":");
  macLabel1->resize(100, 20);
  macLabel1->move(STARTX, STARTY + STEPY*0);
  macLabel1->show();

  macLabel2 = new QLabel(this);
  macLabel2->resize(150, 20);
  macLabel2->move(STARTX2, STARTY + STEPY*0);
  macLabel2->show();
}

APointWidget::~APointWidget(){
}
/** No descriptions */
void APointWidget::slotAct()
{
  if(isVisible())
  {
    if(card->isWave())
    {
      if(card->hasLink())
      {
        macLabel2->setText(card->getAPMac());
      }else{
        macLabel2->setText("<" + i18n ("no link") + ">");
      }
    }else{
      macLabel2->setText(*notString);
    }
  }
}
