/***************************************************************************
                          apointwidget.h  -  description
                             -------------------
    begin                : Don Nov 14 2002
    copyright            : (C) 2002 by Matthias Reif
    email                : matthias.reif@informatik.tu-chemnitz.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef APOINTWIDGET_H
#define APOINTWIDGET_H

#include <qwidget.h>
#include <qlabel.h>
#include <qstring.h>
#include <klocale.h>

#include "constants.h"

#include "wcard.h"

/**
  *@author Matthias Reif
  */

class APointWidget : public QWidget  {
   Q_OBJECT
public: 
	APointWidget(WCard *pCard, QWidget *parent=0, const char *name=0);
	~APointWidget();

protected:

  WCard     *card;

  QString   *notString;

  QLabel    *macLabel1;
  QLabel    *macLabel2;
  
public slots: // Public slots
  /** No descriptions */
  void slotAct();
};

#endif
